package sun.rmi.log;

import java.io.IOException;
import java.io.RandomAccessFile;
import java.io.OutputStream;

public class LogOutputStream extends OutputStream
{
    private RandomAccessFile raf;
    
    public LogOutputStream(RandomAccessFile raf) throws IOException {
        this.raf = raf;
    }
    
    @Override
    public void write(int b) throws IOException {
        this.raf.write(b);
    }
    
    @Override
    public void write(byte[] b) throws IOException {
        this.raf.write(b);
    }
    
    @Override
    public void write(byte[] b, int off, int len) throws IOException {
        this.raf.write(b, off, len);
    }
    
    @Override
    public final void close() throws IOException {
    }
}
